
Ruby - Feature #9969

Add File.empty? as alias to File.zero?

06/21/2014 01:08 PM - shevegen (Robert A. Heiler)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

Description

Could we alias File.empty? to File.zero? ?

The latter already exists. I tried to use File.empty?

and then thought it would not exist, but the code

already exists, it is just called File.zero? instead.

Associated revisions

Revision 096137e84fcb3a01089785bb2b8b621f3f7e996f - 04/13/2016 05:47 AM - nobu (Nobuyoshi Nakada)

file.c: File.empty?

file.c (Init_File): add alias File.empty? to File.zero?.

[Feature #9969]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54559 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 096137e8 - 04/13/2016 05:47 AM - nobu (Nobuyoshi Nakada)

file.c: File.empty?

file.c (Init_File): add alias File.empty? to File.zero?.

[Feature #9969]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54559 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 163604ec52ef0d0543f76ecee9b9ec0e02e8d929 - 04/13/2016 06:14 AM - nobu (Nobuyoshi Nakada)

NEWS: [Feature #9969]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54560 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 163604ec - 04/13/2016 06:14 AM - nobu (Nobuyoshi Nakada)

NEWS: [Feature #9969]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54560 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/30/2014 10:07 PM - zzak (zzak _)

- Tracker changed from Bug to Feature

- Priority changed from 3 to Normal

- Target version set to 2.2.0

#2 - 02/17/2016 11:21 PM - lucasbuchala (Lucas Buchala)

I added a comment on issue #10121 before knowing this specific issue already existed.

I just wanted to say that, with the arrival of Dir.empty?, I like the idea of the File.empty? alias for the reason of having some symmetry between Dir

and File methods.

#3 - 04/13/2016 05:24 AM - matz (Yukihiro Matsumoto)

OK, agreed.

Matz.
#4 - 04/13/2016 05:47 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r54559.

file.c: File.empty?

file.c (Init_File): add alias File.empty? to File.zero?.

[Feature #9969]

#5 - 07/18/2016 03:56 AM - backus (John Backus)

For the sake of consistency could you also add Pathname#empty?. Alternatively maybe add both Pathname#empty_file? and

Pathname#empty_directory?. It is probably important to keep Pathname consistent with File and/or Dir since the tool is much less useful if you

sometimes have to fallback to File or Dir for certain use cases

#6 - 07/18/2016 07:04 AM - duerst (Martin Dürst)

John, this feature is already closed. If you want your proposal to be

looked at, please open a new one, referencing this one.

Thanks,   Martin.

On 2016/07/18 12:56, johncbackus@gmail.com wrote:

Issue #9969 has been updated by John Backus.

For the sake of consistency could you also add Pathname#empty?

Feature #9969: Add File.empty? as alias to File.zero?

https://bugs.ruby-lang.org/issues/9969#change-59632

Author: Robert A. Heiler

Status: Closed

Priority: Normal

Assignee:

Could we alias File.empty? to File.zero? ?

The latter already exists. I tried to use File.empty?

and then thought it would not exist, but the code

already exists, it is just called File.zero? instead.
